Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

Diff of /test/check_paranoia.sh.in [5f1027] .. [fd2da5] Maximize Restore

  Switch to side-by-side view

--- a/test/check_paranoia.sh.in
+++ b/test/check_paranoia.sh.in
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: check_paranoia.sh.in,v 1.12 2008/02/29 11:34:15 rocky Exp $
+# $Id: check_paranoia.sh.in,v 1.13 2008/03/06 01:34:10 rocky Exp $
 # Compare our cd-paranoia with known good results.
 
 if test "X$srcdir" = "X" ; then
@@ -41,7 +41,7 @@
     exit 3
   fi
   # Start out with small jitter
-  $top_builddir/src/cd-paranoia/cd-paranoia -d $srcdir/cdda.cue -x 5 -v -r -- "1-"
+  $top_builddir/src/cd-paranoia/cd-paranoia -l ./cd-paranoia.log -d $srcdir/cdda.cue -x 5 -v -r -- "1-"
   if test $? -ne 0 ; then
     exit 6
   fi
@@ -51,6 +51,14 @@
   else
     echo "** Small jitter correction problem"
     exit 3
+  fi
+  tail -3 ./cd-paranoia.log > ./cd-paranoia-filtered.log
+  if @CMP@ ./cd-paranoia-log.right ./cd-paranoia-filtered.log ; then
+    echo "** --log option okay"
+    rm ./cd-paranoia.log ./cd-paranoia-filtered.log
+  else
+    echo "** --log option problem"
+    exit 4
   fi
   # A more massive set of failures: underrun + small jitter
   $top_builddir/src/cd-paranoia/cd-paranoia -d $srcdir/cdda.cue -x 69 -v -r -- "1-"